#### Linux From Scratch - Version 12.3-systemd

### Chapter 8. Installing Basic System Software

- Prev

  Gperf-3.1

- Next

  Inetutils-2.6

- Up
- Home

# 8.40. Expat-2.6.4

The Expat package contains a stream oriented C library for parsing XML.

Approximate build time: 0.1 SBU
Required disk space: 14 MB

## 8.40.1. Installation of Expat

Prepare Expat for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/expat-2.6.4

Compile the package:

    make

To test the results, issue:

    make check

Install the package:

    make install

If desired, install the documentation:

    install -v -m644 doc/*.{html,css} /usr/share/doc/expat-2.6.4

## 8.40.2. Contents of Expat

Installed program: xmlwf
Installed libraries: libexpat.so
Installed directory: /usr/share/doc/expat-2.6.4

### Short Descriptions

xmlwf | Is a non-validating utility to check whether or not XML documents are well formed
`libexpat` | Contains API functions for parsing XML

- Prev

  Gperf-3.1

- Next

  Inetutils-2.6

- Up
- Home